# Uses of Interface
org.springframework.format.FormatterRegistry

Packages that use FormatterRegistry
Package
Description
org.springframework.format
An API for defining Formatters to format field model values for display in a UI.
org.springframework.format.datetime
Formatters for `java.util.Date` properties.
org.springframework.format.datetime.standard
Integration with the JSR-310 `java.time` package in JDK 8.
org.springframework.format.support
Support classes for the formatting package, providing common implementations as well as adapters.

## Uses of FormatterRegistry in org.springframework.format

Methods in org.springframework.format with parameters of type FormatterRegistry
Modifier and Type
Method
Description
`void`
FormatterRegistrar.`registerFormatters(FormatterRegistry registry)`
Register Formatters and Converters with a FormattingConversionService through a FormatterRegistry SPI.

## Uses of FormatterRegistry in org.springframework.format.datetime

Methods in org.springframework.format.datetime with parameters of type FormatterRegistry
Modifier and Type
Method
Description
`void`
DateFormatterRegistrar.`registerFormatters(FormatterRegistry registry)`

## Uses of FormatterRegistry in org.springframework.format.datetime.standard

Methods in org.springframework.format.datetime.standard with parameters of type FormatterRegistry
Modifier and Type
Method
Description
`void`
DateTimeFormatterRegistrar.`registerFormatters(FormatterRegistry registry)`

## Uses of FormatterRegistry in org.springframework.format.support

Classes in org.springframework.format.support that implement FormatterRegistry
Modifier and Type
Class
Description
`class`
`DefaultFormattingConversionService`
A specialization of `FormattingConversionService` configured by default with converters and formatters appropriate for most applications.
`class`
`FormattingConversionService`
A `ConversionService` implementation designed to be configured as a `FormatterRegistry`.
Methods in org.springframework.format.support with parameters of type FormatterRegistry
Modifier and Type
Method
Description
`static void`
DefaultFormattingConversionService.`addDefaultFormatters(FormatterRegistry formatterRegistry)`
Add formatters appropriate for most environments: including number formatters, JSR-354 Money & Currency formatters, and JSR-310 Date-Time formatters, depending on the presence of the corresponding API on the classpath.